% extremos do intervalo e passo de integração
a=1.0;
b=2.0;
Delta_t=0.01;
%condicao inicial
n=1;
x(1)=1.0;
y(1)=1.0;
% passo iterativo
for t=a+Delta_t:Delta_t:b
  n=n+1;
  x(n)=x(n-1)+Delta_t*t*x(n-1);
  y(n)=exp((t^2-1)/2);
  end
% representacao grafica das solucoes (exata e aproximada)
plot(x, '*', y, 'o')



